Iterate on all commands
@kitjmv wrote: Hello! I search how iterate on all commands loaded in Rhino with C#. I’m sorry, the doc API end google don’t give me a response. Posts: 5 Participants: 2 Read full topic
View ArticleAccess Edge Smoothing Settings from Api
@ParanoidAndroid wrote: Hi, is there a way to access the edge smoothing settings of a Rhino object via the API? I.e. “is edge smoothing activated and if yes what are the parameters”? Alternatively, is...
View ArticleSubclassing from CRhinoMeshObject and overriding wireframe curves
@gccdragoonkain wrote: I’ve subclassed CRhinoMeshObject and have it working on a basic (it displays correctly). But I want to completely override the wireframe for the object, so I can provide my own...
View ArticleEnabling Empty Custom Conduit Causes Lags in V6
@D-W wrote: I noticed that viewport with empty but enabled custom conduit causes lags in v6 in v5 it doesn’t matter - interesting is that if i only put one box in conduit everything works smooth but...
View ArticleNeed help to select id with python
@i.a wrote: Hi all of you genious out there . I’ve this script that I need to improve a bit. ! _-RunPythonScript ( import rhinoscriptsyntax as rs curve = rs.GetObject(“Select a curve”) if...
View ArticleUnable to use ImageSharp package in a plugin on Mac
@Max_Eskin wrote: When I add the ImageSharp package in a plugin on Mac, whenever the assembly is loaded I get a System.NotSupportedException “The invoked member is not supported in a dynamic module”....
View ArticleExtendCrvOnSrf in Python
@fluxguys wrote: Is there any particular reason why the ExtendCrvOnSrf functionality isn’t included in rhinoscript? Is there a recommended way of extending a curve on a surface using Python? Thanks!...
View ArticleVariable offset of a curve
@direyes_11 wrote: Hello, VariableOffset.JPG624x622 8.27 KB Anyone knows if there is an option to develop a script that works similarity to command variableoffsetsrf but for curves. I need to create...
View ArticleIs there any way to create a .3dm file viewer in Winform or Wpf without Rhino?
@361026283 wrote: can openNURBS or RhinoCommon solve it ? i did not find that Posts: 3 Participants: 2 Read full topic
View ArticlePython rhinoscript AddText() not working
@danielogg92 wrote: Hi Does anyone know whether there is a work around for this method not working. We I call this method I get this error message Runtime error (NotSupportedException) This type of...
View ArticleMesh faces at XX angles as a percentage of total mesh faces?
@ChristopherBotha wrote: I am trying to work out how to analyze a mesh to determine what percentage of the mesh contains faces at more than XX angle to the adjacent mesh face? Example Mesh A = 1000...
View ArticleIssue with RunScript in Rhino6
@Alexandre_Beaudet wrote: Hello, I’m having an issue with my plugin. It was working in Rhino 5 but not anymmore. I needed to get the list of LayerStates that are saved so I used the command...
View ArticleProblem adding new mesh to document
@clement wrote: Hi @dale, i am building a Rhino.Geometry.Mesh from another mesh by copying it and then chaning the vertex locations. After this is done, i update the vertex normals and facenormals....
View ArticleError message: This object cannot be modified because it is controlled by a...
@Goswin wrote: I create a NURBSCurve via code. when cloning it i get this Error. I thought only Rhino Objects can belong to a document not Geometery classes? What could be the problem here? (I am not...
View ArticleProblem with Eto CustomCell
@Alexandre_Beaudet wrote: Hi, I’m trying to use the TreeGridView of Eto with custom cells. Documentation is scarce regarding this Eto class so I’m asking here … Here’s the code. I’m just trying to...
View ArticleMigration guide for c# plugins..?
@hanparker wrote: Is there a c# plugin migration guide that I can’t find? Posts: 2 Participants: 2 Read full topic
View ArticleRebuildTrimsForV2 modifies Trim geometry
@swg1975 wrote: Hi! After running the following code the trimming loops of the face are slightly modified. Why? new_brep = brep.DuplicateBrep() # make a duplicate face = new_brep.Faces[0] # select a...
View ArticleHidden Viewport for Screen Capture
@jason_stevenson wrote: Is there a way to have a hidden viewport, so that I can use it to capture images in a specific way, without letting the user see it is happening? Thanks! Jake Posts: 3...
View ArticleHow to run RVB code in vb.net development environment
@jijinxing1 wrote: Please enlighten me under the vb.net development environment how to run RVB code Posts: 1 Participants: 1 Read full topic
View ArticleVB.NET write add form interface
@jijinxing1 wrote: The novice rookie asks every teacher VB.NET to write the plug-in, after adding the form, how to refer this form to the rhino Posts: 1 Participants: 1 Read full topic
View Article